/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/*
 *    Public brutus-keyringd definitions
 *
 *    Authors:
 *        Jules Colding <colding@omesc.com>
 *
 *    Copyright (C) 2007-2008 OMC Denmark ApS.
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Lesser General Public License as published
 *    by the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *    Lesser General Public License for more details.
 *
 *    You should have received a copy of the GNU Lesser General Public License
 *    along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef BRUTUS_KEYRINGD_H
#define BRUTUS_KEYRINGD_H 1

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

G_BEGIN_DECLS

/* this directory will be created in $HOME */
#ifdef BRUTUS_KEYRINGD_DIR_NAME
#undef BRUTUS_KEYRINGD_DIR_NAME
#endif
#define BRUTUS_KEYRINGD_DIR_NAME ".brutus-keyringd"

/* this file will be created in $HOME/BRUTUS_KEYRINGD_DIR_NAME/ */
#ifdef BRUTUS_KEYRINGD_PASSPHRASE_FILE_NAME
#undef BRUTUS_KEYRINGD_PASSPHRASE_FILE_NAME
#endif
#define BRUTUS_KEYRINGD_PASSPHRASE_FILE_NAME BRUTUS_KEYRINGD_DIR_NAME"/brutus-keyringd.passphrase"

/* this file will be created in $HOME/BRUTUS_KEYRINGD_DIR_NAME/ */
#ifdef BRUTUS_KEYRINGD_SALT_FILE_NAME
#undef BRUTUS_KEYRINGD_SALT_FILE_NAME
#endif
#define BRUTUS_KEYRINGD_SALT_FILE_NAME BRUTUS_KEYRINGD_DIR_NAME"/brutus-keyringd.salt"

/* this file will be created in $HOME/BRUTUS_KEYRINGD_DIR_NAME/ */
#ifdef BRUTUS_KEYRINGD_PID_FILE_NAME
#undef BRUTUS_KEYRINGD_PID_FILE_NAME
#endif
#define BRUTUS_KEYRINGD_PID_FILE_NAME BRUTUS_KEYRINGD_DIR_NAME"/brutus-keyringd.pid"

/* this file will be created in $HOME/BRUTUS_KEYRINGD_DIR_NAME/ */
#ifdef BRUTUS_KEYRINGD_LOG_FILE_NAME
#undef BRUTUS_KEYRINGD_LOG_FILE_NAME
#endif
#define BRUTUS_KEYRINGD_LOG_FILE_NAME BRUTUS_KEYRINGD_DIR_NAME"/brutus-keyringd.log"

/* this file will be created in $HOME/BRUTUS_KEYRINGD_DIR_NAME/ */
#ifdef BRUTUS_KEYRINGD_REF_FILE_NAME
#undef BRUTUS_KEYRINGD_REF_FILE_NAME
#endif
#define BRUTUS_KEYRINGD_REF_FILE_NAME BRUTUS_KEYRINGD_DIR_NAME"/brutus-keyringd.ior"

/* this directory will be created in $HOME/BRUTUS_KEYRINGD_DIR_NAME/ */
#ifdef BRUTUS_KEYRINGD_DB_DIR_NAME
#undef BRUTUS_KEYRINGD_DB_DIR_NAME
#endif
#define BRUTUS_KEYRINGD_DB_DIR_NAME BRUTUS_KEYRINGD_DIR_NAME"/secrets"

/* this directory will be created in $HOME/BRUTUS_KEYRINGD_DIR_NAME/BRUTUS_KEYRINGD_DB_DIR_NAME/ */
#ifdef BRUTUS_KEYRINGD_DB_BACKUP_DIR_NAME
#undef BRUTUS_KEYRINGD_DB_BACKUP_DIR_NAME
#endif
#define BRUTUS_KEYRINGD_DB_BACKUP_DIR_NAME BRUTUS_KEYRINGD_DB_DIR_NAME"/dd692b53-90df-4ce5-826e-b89fcbc9acfa"

/* this directory will be created in $HOME/BRUTUS_KEYRINGD_DIR_NAME/BRUTUS_KEYRINGD_DB_DIR_NAME/ */
#ifdef BRUTUS_KEYRINGD_DB_IV_DIR_NAME
#undef BRUTUS_KEYRINGD_DB_IV_DIR_NAME
#endif
#define BRUTUS_KEYRINGD_DB_IV_DIR_NAME BRUTUS_KEYRINGD_DB_DIR_NAME"/f5ee31ed-930a-4be5-a24c-6a474ea0bed3"

/* this directory will be created in $HOME/BRUTUS_KEYRINGD_DIR_NAME/BRUTUS_KEYRINGD_DB_DIR_NAME/ */
#ifdef BRUTUS_KEYRINGD_DB_IV_BACKUP_DIR_NAME
#undef BRUTUS_KEYRINGD_DB_IV_BACKUP_DIR_NAME
#endif
#define BRUTUS_KEYRINGD_DB_IV_BACKUP_DIR_NAME BRUTUS_KEYRINGD_DB_DIR_NAME"/be1c9561-c356-43a4-a4e3-d3ad0de6adc2"

G_END_DECLS

#endif /* BRUTUS_KEYRINGD_H */
